BasicModelIF (Lucene 10.5.0 core API)
Description: declaration: package: org.apache.lucene.search.similarities, class: BasicModelIF

Package org.apache.lucene.search.similarities

# Class BasicModelIF

java.lang.Object
org.apache.lucene.search.similarities.BasicModel
org.apache.lucene.search.similarities.BasicModelIF

public class BasicModelIF extends BasicModel
An approximation of the I(ne) model.

WARNING: This API is experimental and might change in incompatible ways in the next release.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BasicModelIF()`
  Sole constructor: parameter-free

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Explanation`
  `explain(BasicStats stats, double tfn, double aeTimes1pTfn)`
  Returns an explanation for the score.
  `final double`
  `score(BasicStats stats, double tfn, double aeTimes1pTfn)`
  Returns the informative content score combined with the after effect, more specifically `informationContentScore * aeTimes1pTfn / (1 + tfn)`.
  `String`
  `toString()`
  Subclasses must override this method to return the code of the basic model formula.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BasicModelIF

    public BasicModelIF()
    Sole constructor: parameter-free

- ## Method Details

  - ### score

    public final double score(BasicStats stats, double tfn, double aeTimes1pTfn)
    Description copied from class: `BasicModel`
    Returns the informative content score combined with the after effect, more specifically `informationContentScore * aeTimes1pTfn / (1 + tfn)`. This function must be non-decreasing with `tfn`.
    Specified by:
      `score` in class `BasicModel`

  - ### explain

    public Explanation explain(BasicStats stats, double tfn, double aeTimes1pTfn)
    Description copied from class: `BasicModel`
    Returns an explanation for the score. Subclasses must override this method.
    Specified by:
      `explain` in class `BasicModel`

  - ### toString

    public String toString()
    Description copied from class: `BasicModel`
    Subclasses must override this method to return the code of the basic model formula. Refer to the original paper for the list.
    Specified by:
      `toString` in class `BasicModel`